Validate bank payout OTP
curl --request POST \
--url https://sandbox-revo-api.raliopay.com/api/v1/account/bank-payouts/{oid}/validate-otp \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": "123456"
}
'import requests
url = "https://sandbox-revo-api.raliopay.com/api/v1/account/bank-payouts/{oid}/validate-otp"
payload = { "code": "123456" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({code: '123456'})
};
fetch('https://sandbox-revo-api.raliopay.com/api/v1/account/bank-payouts/{oid}/validate-otp', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2025-01-15T10:30:00.000Z",
"destination": {
"currency": "CURRENCY",
"amount": 1000
},
"detailUrl": "/api/v1/account/bank-payouts/e5f6a7b8-c9d0-4e1f-2a3b-4c5d6e7f8a9b",
"displayType": "PayOut",
"fee": {
"currency": "CURRENCY",
"amount": 1000
},
"fx": {
"pair": "CURRENCY/CURRENCY",
"rate": 1.08,
"timestamp": "2025-01-15T10:30:00.000Z"
},
"id": "e5f6a7b8-c9d0-4e1f-2a3b-4c5d6e7f8a9b",
"origin": {
"currency": "CURRENCY",
"amount": 1000
},
"reference": "PAY-2025-001234",
"state": "PENDING",
"type": "TYPE_PAYOUT",
"validatedAt": "2025-01-15T10:30:05.000Z"
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}Bank Payout
Validate bank payout OTP
Validate the OTP code for a bank payout order in “Created” state. On success, the order transitions to “Pending” and is dispatched. In sandbox the OTP code is always 123456.
POST
/
api
/
v1
/
account
/
bank-payouts
/
{oid}
/
validate-otp
Validate bank payout OTP
Authorizations
API Key for accessing management endpoints
Path Parameters
Bank Payout Order ID
Body
application/json
OTP code
Example:
"123456"
Response
OK
Example:
"2025-01-15T10:30:00.000Z"
Show child attributes
Show child attributes
Example:
"/api/v1/account/bank-payouts/e5f6a7b8-c9d0-4e1f-2a3b-4c5d6e7f8a9b"
Example:
"PayOut"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
"e5f6a7b8-c9d0-4e1f-2a3b-4c5d6e7f8a9b"
Show child attributes
Show child attributes
Example:
"PAY-2025-001234"
Example:
"PENDING"
Example:
"TYPE_PAYOUT"
Example:
"2025-01-15T10:30:05.000Z"
⌘I